@import '../../assets/mixins/variables.less';

.login-main--wrapper {
    font-family: 'DroidSans';
    .mat-form-field{
      font-family: 'DroidSans';
    }
    .login-wrapper {
        position: absolute;
        width: 310px;
        left: 0;
        margin: 0 auto;
        .example-full-width{
          width: 100%;
          margin-top: 10px;
        }
        @media only screen and (min-width: 1600px) {
          top: 370px;
          right: 0;
        }
        @media only screen and (min-height: 938px) {
            top: 415px;
        }
    }
    .login-svg{
        position: fixed;
        top: -370px;
        background-size: 100%;
        left: 35px;
        @media only screen and (min-height: 938px) {
            top: -313px;
        }
    }   
    .alert-danger {
        font-size: 14px;
        padding: 5px;
        text-align: center;
    } 
    .vertical-sub{
        vertical-align: sub;
    }
    input {
        color: @white;
        &:-webkit-autofill {
          -webkit-box-shadow: 0 0 0px 1000px @home-circle-bg-color inset;
          -webkit-text-fill-color: @white;
          font-size: 16px;
       }
    }
    button.btn.btn-primary {
        font-family: 'LeagueSpartan-Bold';
        background: @white;
        color: @btn-text-color;
        width: 100%;
        border-radius: 25px;
        padding: 10px;
        margin-top: 30px !important;
        border: none;
    }
}
#group{
    -webkit-transform: translate(383px, 645px);
    transform: translate(380px, 645px);
}
#orbit {
    fill: #802fe0;
    animation-duration: 6s;
    animation-name: orbit;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-fill-mode: both;
}
@keyframes orbit {
  0%{
    transform: rotate(0);
  }
  100%{
    transform: rotate(360deg);
  }
}
.banner-rotate1 {
  transform-box: fill-box;
  transform-origin: center;
  animation: bannerRotate 400s linear 0.2s infinite;
  @keyframes bannerRotate {
      0% {
          transform: rotate(360deg);
      }
      100% {
          transform: rotate(0deg)
      }
  }
}